# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%{!?_extension:%global _extension .gz}

%bcond_with gcj_support
# Do not build repolib for RHEL 5 / 4
%bcond_with repolib

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define section free

%define repo    %{_javadir}/repository.jboss.com
%define repodir %{repo}/apache-xml-commons/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src
#%%define resolverrepodir    %{repo}/apache-xml-commons-resolver/1.2-brew
#%%define resolverrepodirlib %{repodir}/lib
#%%define resolverrepodirsrc %{repodir}/src

%define resolverdir %{_sysconfdir}/java/resolver

# To get around having multiple versions of projects within the same srpm
%define apis_version_1_1 1.0.b2
%define apis_version_1_2 1.2.04

%define namedversion %{version}-patch-01

# FIXME: (dwalluck) remove javadoc %%ghost symlinks

Name:           xml-commons
Version:        1.3.04
Release:        8.2_patch_01%{?dist}
Summary:        Common code for XML projects
Epoch:          0
License:        ASL 2.0
URL:            http://xml.apache.org/commons/
# svn export http://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-1_0_b2/
Source0:        xml-commons-1.0.b2.tar.bz2
# svn export http://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-external-1_2_04/
Source1:        xml-commons-external-1.2.04.tar.bz2
# svn export http://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-external-1_3_04/
Source2:        xml-commons-external-1.3.04.tar.bz2
# svn export http://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-resolver-1_1_b1/
Source3:        xml-commons-resolver-1.1.b1.tar.bz2
Source4:        xml-commons.which10.script
Source5:        xml-commons.which11.script
Source6:        xml-commons-resolver10-resolver.1
Source7:        xml-commons-resolver10-resolver.sh
Source8:        xml-commons-resolver10-xparse.1
Source9:        xml-commons-resolver10-xparse.sh
Source10:       xml-commons-resolver10-xread.1
Source11:       xml-commons-resolver10-xread.sh
Source12:       xml-commons-resolver11-resolver.1
Source13:       xml-commons-resolver11-resolver.sh
Source14:       xml-commons-resolver11-xparse.1
Source15:       xml-commons-resolver11-xparse.sh
Source16:       xml-commons-resolver11-xread.1
Source17:       xml-commons-resolver11-xread.sh
Source18:       xml-commons-resolver12-resolver.1
Source19:       xml-commons-resolver12-resolver.sh
Source20:       xml-commons-resolver12-xparse.1
Source21:       xml-commons-resolver12-xparse.sh
Source22:       xml-commons-resolver12-xread.1
Source23:       xml-commons-resolver12-xread.sh
Source24:       %{name}-resolver-CatalogManager.properties
Source100:      xml-commons-component-info.xml
Source200:      http://mirrors.ibiblio.org/pub/mirrors/maven2/xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.pom
Source201:      http://mirrors.ibiblio.org/pub/mirrors/maven2/xml-apis/xml-apis-ext/1.3.04/xml-apis-ext-1.3.04.pom
Source202:      http://mirrors.ibiblio.org/pub/mirrors/maven2/xml-resolver/xml-resolver/1.2/xml-resolver-1.2.pom
Patch0:         %{name}-external-1.3-build_xml.patch
Patch1:         %{name}-resolver-crosslink.patch
Patch2:         %{name}-resolver-1.1-build_xml.patch
Patch3:         %{name}-enum.patch
Patch4:		%{name}-resolver-1.1-JBPAPP-7800.patch

Requires:       jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  ant
BuildRequires:  docbook-style-xsl
BuildRequires:  xalan-j2
BuildRequires:  jpackage-utils
Group:          Text Processing/Markup/XML
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
xml-commons is focused on common code and guidelines for xml projects.
It's first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.
As the xml-commons community forms, we also hope to serve as a holding
area for other common xml-related utilities and code, and to help
promulgate common packaging, testing, documentation, and other
guidelines across all xml.apache.org subprojects.

%package jaxp-1.1-apis
Summary:        JAXP 1.1, DOM2, SAX2, SAX2-ext 1.0 apis
Group:          Text Processing/Markup/XML
Provides:       jaxp = 1.1
Provides:       dom = 2
Provides:       sax = 2.0
Provides:       xslt = 1.0
Provides:       xml-commons-apis = %{epoch}:%{apis_version_1_1}-%{release}
Obsoletes:      xml-commons-apis <= 0:1.3.02-2jpp
Requires:       jpackage-utils >= 0:1.6
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description jaxp-1.1-apis
DOM 2 org.w3c.dom and SAX XML 2.0 org.xml.sax processor apis used 
by several pieces of Apache software. XSLT 1.0.
This version includes the JAXP 1.1 APIs -- Java API for XML 
Processing 1.1, i.e. javax.xml{.parsers,.transform}

%package jaxp-1.1-apis-javadoc
Group:          Text Processing/Markup/XML
Summary:        Javadoc for %{name}-jaxp-1.1-apis
Provides:       %{name}-apis-javadoc = %{epoch}:%{apis_version_1_1}-%{release}

%description jaxp-1.1-apis-javadoc
%{summary}.

%package jaxp-1.1-apis-manual
Group:          Development/Documentation
Summary:        Documents for %{name}-jaxp-1.1-apis

%description jaxp-1.1-apis-manual
%{summary}.

%package which10
Summary:        XmlWhich 1.0 utility from %{name}
Group:          Text Processing/Markup/XML
Provides:       xml-commons-which = 0:1.0
Requires:       jpackage-utils >= 0:1.6
Requires:       jaxp_parser_impl
Requires:       xml-commons-jaxp-1.1-apis = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description which10
%{name}.

%package which10-javadoc
Summary:        Javadoc for %{name}-which10
Group:          Development/Documentation

%description which10-javadoc
Javadoc for %{name}-which.

%package resolver10
Summary:        XmlResolver 1.0 utility from %{name}
Group:          Development/Java
Provides:       xml-commons-resolver = 0:1.0
Requires:       jpackage-utils >= 0:1.6
Requires:       jaxp_parser_impl
Requires:       xml-commons-jaxp-1.1-apis = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description resolver10
%{summary}.

%package resolver10-javadoc
Summary:        Javadoc for %{name}-resolver10
Group:          Development/Documentation

%description resolver10-javadoc
%{summary}.

%package resolver11
Summary:        XmlResolver 1.1 utility from %{name}
Group:          Development/Java
Provides:       xml-commons-resolver = 0:1.1
Requires:       jpackage-utils >= 0:1.6
Requires:       jaxp_parser_impl
Requires:       xml-commons-jaxp-1.2-apis = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description resolver11
%{summary}.

%package resolver11-javadoc
Summary:        Javadoc for %{name}-resolver11
Group:          Development/Documentation

%description resolver11-javadoc
%{summary}.

%package jaxp-1.2-apis
Summary:        JAXP 1.2, DOM 2, SAX 2.0.1, SAX2-ext 1.0 apis
Group:          Text Processing/Markup/XML
Provides:       jaxp = 1.2
Provides:       dom = 2
Provides:       sax = 2.0.1
Provides:       xslt = 1.0
Provides:       xml-commons-apis = %{epoch}:%{apis_version_1_2}-%{release}
Obsoletes:      xml-commons-apis <= 0:1.3.02-2jpp
Provides:       xml-commons-apis12 = %{epoch}:%{apis_version_1_2}-%{release}
Obsoletes:      xml-commons-apis12 <= 0:1.2.04-0jpp.3.el5
Requires:       jpackage-utils >= 0:1.6
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description jaxp-1.2-apis
DOM 2 org.w3c.dom and SAX XML 2.0 org.xml.sax processor apis used 
by several pieces of Apache software. XSLT 1.0.
This version includes the JAXP 1.2 APIs -- Java API for XML 
Processing 1.2, i.e. javax.xml{.parsers,.transform}

%package jaxp-1.2-apis-javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}-jaxp-1.2-apis
Provides:       %{name}-apis-javadoc = %{epoch}:%{apis_version_1_2}-%{release}

%description jaxp-1.2-apis-javadoc
%{summary}.

%package jaxp-1.2-apis-manual
Group:          Development/Documentation
Summary:        Documents for %{name}-jaxp-1.2-apis

%description jaxp-1.2-apis-manual
%{summary}.

%package jaxp-1.3-apis
Summary:        JAXP 1.3, DOM 2, SAX 2.0.1, SAX2-ext 1.0 apis
Group:          Text Processing/Markup/XML
Provides:       jaxp = 1.3
Provides:       dom = 3
Provides:       sax = 2.0.2
Provides:       xslt = 1.0
Provides:       xml-commons-apis = %{epoch}:%{version}-%{release}
Obsoletes:      xml-commons-apis < %{epoch}:%{version}-%{release}
Provides:       xml-commons-jaxp-apis = %{epoch}:%{version}-%{release}
Obsoletes:      xml-commons-jaxp-apis <= 0:1.3.02-2jpp
Requires:       jpackage-utils >= 0:1.6
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description jaxp-1.3-apis
DOM 3 org.w3c.dom and SAX XML 2.0.2 (sax2r3) org.xml.sax
processor apis used by several pieces of Apache software.
Thi version includes the JAXP 1.3 APIs --
JSR 206, Java API for XML Processing 1.3, i.e.
javax.xml{.parsers,.transform,.validation,.datatype,.xtype}.

%package jaxp-1.3-apis-javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}-jaxp-1.3-apis
Provides:       %{name}-apis-javadoc = %{epoch}:%{version}-%{release}

%description jaxp-1.3-apis-javadoc
%{summary}.

%package jaxp-1.3-apis-manual
Group:          Development/Documentation
Summary:        Documents for %{name}-jaxp-1.3-apis

%description jaxp-1.3-apis-manual
%{summary}.

%package which11
Group:          Text Processing/Markup/XML
Summary:        XmlWhich 1.1 from %{name}
Provides:       xml-commons-which = 0:1.1
Requires:       jpackage-utils >= 0:1.6
Requires:       jaxp_parser_impl
Requires:       xml-commons-jaxp-1.3-apis = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description which11
%{summary}.

%package which11-javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}-which11

%description which11-javadoc
%{summary}.

%package resolver12
Group:          Text Processing/Markup/XML
Summary:        XmlResolver 1.2 from %{name}
Provides:       xml-commons-resolver = 0:1.2
Requires:       jpackage-utils >= 0:1.6
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jaxp_parser_impl
Requires:       xml-commons-jaxp-1.3-apis = %{epoch}:%{version}-%{release}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives

%description resolver12
%{summary}.

%package resolver12-javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}-resolver12

%description resolver12-javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:         Artifacts to be uploaded to a repository library
Group:           Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -T -c
%setup -q -T -D -a 0
%setup -q -T -D -a 1
%setup -q -T -D -a 2
%setup -q -T -D -a 3

%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav4
pushd xml-commons-external-1_3_*
%patch0 -b .sav
popd

for i in `egrep -rl 'enum( |\.)' *| egrep '\.java$'`; do
    %{__perl} -pi -e 's/enum([ \.])/enum1\1/g' $i
done

%build
pushd xml-commons-1_0_b2
pushd java
sed -e 's|call Resolver|call resolver|g' resolver.xml > tempf
sed -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' tempf > resolver.xml
sed -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver > tempf
cp tempf src/manifest.resolver
rm tempf
popd
ant jars
popd
pushd xml-commons-resolver-1_1_b1
mkdir -p build/site/components/resolver
pushd java
sed -e 's|call Resolver|call resolver|g' resolver.xml > tempf
sed -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' tempf > resolver.xml
sed -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver > tempf
cp tempf src/manifest.resolver
rm tempf
popd
ant jars javadocs
popd
pushd xml-commons-external-1_2_04
ant -f java/external/build.xml jar javadoc
popd
pushd xml-commons-external-1_3_*
pushd java
sed -e 's|call Resolver|call resolver|g' resolver.xml > tempf
sed -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' tempf > resolver.xml
sed -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver > tempf
cp tempf src/manifest.resolver
rm tempf
popd
ant jars javadocs
popd

%install
rm -rf $RPM_BUILD_ROOT

# Jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
# JAXP11
install -m 644 xml-commons-1_0_b2/java/external/build/xml-apis.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-jaxp-1.1-apis-%{namedversion}.jar
# resolver10
install -m 644 xml-commons-1_0_b2/java/build/resolver.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-resolver10-%{namedversion}.jar
# which10
install -m 644 xml-commons-1_0_b2/java/build/which.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-which10-%{namedversion}.jar
# resolver11
install -m 644 xml-commons-resolver-1_1_b1/java/build/resolver.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-resolver11-%{namedversion}.jar
# JAXP12
install -m 644 xml-commons-external-1_2_04/java/external/build/xml-apis.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-jaxp-1.2-apis-%{namedversion}.jar
# JAXP13
install -m 644 xml-commons-external-1_3_*/java/external/build/xml-apis.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-jaxp-1.3-apis-%{namedversion}.jar
# JAXP13 ext
install -m 644 xml-commons-external-1_3_*/java/external/build/xml-apis-ext.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-jaxp-1.3-apis-ext-%{namedversion}.jar
# resolver12
install -m 644 xml-commons-external-1_3_*/java/build/resolver.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-resolver12-%{namedversion}.jar
# which11
install -m 644 xml-commons-external-1_3_*/java/build/which.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-which11-%{namedversion}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
for jar in *-%{namedversion}*; do
ln -sf ${jar} $(echo $jar | sed -e 's|-%{namedversion}\.jar|.jar|');
done
ln -sf %{name}-jaxp-1.1-apis.jar jaxp11.jar
ln -sf %{name}-jaxp-1.2-apis.jar jaxp12.jar
ln -sf %{name}-jaxp-1.3-apis.jar jaxp13.jar
ln -sf %{name}-jaxp-1.3-apis.jar dom3.jar
popd

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
sed -i 's/%{version}/%{namedversion}/g' %{SOURCE200}
%{__cp} -p %{SOURCE200} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-jaxp-1.3-apis.pom
%add_to_maven_depmap xml-apis xml-apis %{namedversion} JPP %{name}-jaxp-1.3-apis
%add_to_maven_depmap apache-xerces xml-apis 2.9.1-patch-01 JPP %{name}-jaxp-1.3-apis
%{__ln_s} JPP-%{name}-jaxp-1.3-apis.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-apis.pom
%{__cp} -p %{SOURCE201} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-jaxp-1.3-apis-ext.pom
%add_to_maven_depmap xml-apis xml-apis-ext %{namedversion} JPP %{name}-jaxp-1.3-apis-ext
%{__cp} -p %{SOURCE202} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-resolver12.pom
%add_to_maven_depmap xml-resolver xml-resolver %{namedversion} JPP %{name}-resolver12

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.1-apis-%{namedversion}

# JAXP11
cp -pr xml-commons-1_0_b2/java/external/build/docs/javadoc/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.1-apis-%{namedversion}
ln -s %{name}-jaxp-1.1-apis-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.1-apis
rm -rf xml-commons-1_0_b2/java/external/build/docs/javadoc

# resolver10
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver10-%{namedversion}/org/apache/xml
cp -pr xml-commons-1_0_b2/java/build/docs/javadocs/org/apache/xml/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver10-%{namedversion}/org/apache/xml
ln -s %{name}-resolver10-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver10

# resolver11
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver11-%{namedversion}/
cp -pr xml-commons-resolver-1_1_b1/build/site/components/apidocs/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver11-%{namedversion}/
ln -s %{name}-resolver11-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver11

# which10
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which10-%{namedversion}/org/apache/env
cp -pr xml-commons-1_0_b2/java/build/docs/javadocs/org/apache/env/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which10-%{namedversion}/org/apache/env
ln -s %{name}-which10-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which10

# JAXP12
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.2-apis-%{namedversion}
cp -pr xml-commons-external-1_2_04/java/external/build/docs/javadoc/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.2-apis-%{namedversion}
ln -s %{name}-jaxp-1.2-apis-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.2-apis
rm -rf xml-commons-external-1_2_04/java/external/build/docs/javadoc

# JAXP13
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.3-apis-%{namedversion}
cp -pr xml-commons-external-1_3_*/java/external/build/docs/javadoc/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.3-apis-%{namedversion}
ln -s %{name}-jaxp-1.3-apis-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-jaxp-1.3-apis
rm -rf xml-commons-external-1_3_*/java/external/build/docs/javadoc

# resolver12
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver12-%{namedversion}
cp -pr xml-commons-external-1_3_*/java/build/apidocs/resolver/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver12-%{namedversion}
ln -s %{name}-resolver12-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-resolver12

# which11
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which11-%{namedversion}
cp -pr xml-commons-external-1_3_*/java/build/apidocs/which/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which11-%{namedversion}
ln -s %{name}-which11-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which11

# Scripts
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1

cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/xml-which10
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/xml-which11

sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE7} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-resolver10
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE9} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xread10
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE11} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xparse10

sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE6} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-resolver10.1
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE8} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xread10.1
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE10} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xparse10.1

sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE13} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-resolver11
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE15} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xread11
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE17} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xparse11

sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE12} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-resolver11.1
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE14} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xread11.1
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE16} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xparse11.1

sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE19} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-resolver12
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE21} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xread12
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE23} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xparse12

sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE18} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-resolver12.1
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE20} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xread12.1
sed -e 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE22} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xparse12.1

# Central CatalogManager.properties
install -d -m 755 $RPM_BUILD_ROOT%{resolverdir}
install -m 0644 %{SOURCE24} $RPM_BUILD_ROOT%{resolverdir}/CatalogManager.properties

# docs
# JAXP 1.1
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.1-apis-%{namedversion}
install -m 0644 xml-commons-1_0_b2/java/external/LICENSE* $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.1-apis-%{namedversion}
install -m 0644 xml-commons-1_0_b2/java/external/README* $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.1-apis-%{namedversion}
# JAXP 1.2
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.2-apis-%{namedversion}
install -m 0644 xml-commons-external-1_2_04/java/external/LICENSE* $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.2-apis-%{namedversion}
install -m 0644 xml-commons-external-1_2_04/java/external/README* $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.2-apis-%{namedversion}
# JAXP 1.3
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.3-apis-%{namedversion}
install -m 0644 xml-commons-external-1_3_*/java/external/LICENSE* $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.3-apis-%{namedversion}
install -m 0644 xml-commons-external-1_3_*/java/external/README* $RPM_BUILD_ROOT%{_datadir}/%{name}-jaxp-1.3-apis-%{namedversion}

# manuals
# JAXP 1.1
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-jaxp-1.1-apis-%{namedversion}
cp -pr xml-commons-1_0_b2/java/external/build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-jaxp-1.1-apis-%{namedversion}
# JAXP 1.2
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-jaxp-1.2-apis-%{namedversion}
cp -pr xml-commons-external-1_2_04/java/external/build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-jaxp-1.2-apis-%{namedversion}
# JAXP 1.3
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-jaxp-1.3-apis-%{namedversion}
cp -pr xml-commons-external-1_3_*/java/external/build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-jaxp-1.3-apis-%{namedversion}

# For Symlinks and alternatives
touch $RPM_BUILD_ROOT%{_javadir}/xml-commons-apis.jar
touch $RPM_BUILD_ROOT%{_javadir}/xml-commons-which.jar
#touch $RPM_BUILD_ROOT%{_javadir}/xml-commons-resolver.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxp.jar
touch $RPM_BUILD_ROOT%{_javadir}/dom3.jar
touch $RPM_BUILD_ROOT%{_javadir}/dom2.jar
touch $RPM_BUILD_ROOT%{_javadir}/dom.jar
touch $RPM_BUILD_ROOT%{_javadir}/sax2.jar
touch $RPM_BUILD_ROOT%{_javadir}/sax.jar
touch $RPM_BUILD_ROOT%{_bindir}/xml-which
#touch $RPM_BUILD_ROOT%{_bindir}/xml-resolver
#touch $RPM_BUILD_ROOT%{_bindir}/xml-xread
#touch $RPM_BUILD_ROOT%{_bindir}/xml-xparse
ln -s %{_sysconfdir}/alternatives/%{name}-apis-javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis # ghost symlink
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}*

%{__perl} -pi -e 's/\r$//g' README.html KEYS

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{namedversion}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -m 755 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-jaxp-1.3-apis-%{namedversion}.jar $RPM_BUILD_ROOT%{repodirlib}/xml-apis.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-resolver11-%{namedversion}.jar $RPM_BUILD_ROOT%{repodirlib}/resolver.jar
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{repodirsrc}
%{__install} -p -m 644 %{SOURCE200} %{buildroot}%{repodirlib}/xml-apis.pom
%{__install} -p -m 644 %{SOURCE202} %{buildroot}%{repodirlib}/resolver.pom
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post jaxp-1.1-apis
#rm -f %{_javadir}/xml-commons-apis.jar
rm -f %{_javadir}/jaxp11.jar
ln -s %{name}-jaxp-1.1-apis.jar %{_javadir}/jaxp11.jar
%{_sbindir}/update-alternatives --install %{_javadir}/xml-commons-apis.jar xml-commons-apis %{_javadir}/jaxp11.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp.jar jaxp %{_javadir}/jaxp11.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/dom2.jar dom2 %{_javadir}/jaxp11.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/dom.jar dom %{_javadir}/jaxp11.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/sax2.jar sax2 %{_javadir}/jaxp11.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/sax.jar sax %{_javadir}/jaxp11.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/xslt.jar xslt %{_javadir}/jaxp11.jar 10100
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun jaxp-1.1-apis
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-commons-apis %{_javadir}/jaxp11.jar
  %{_sbindir}/update-alternatives --remove jaxp %{_javadir}/jaxp11.jar
  %{_sbindir}/update-alternatives --remove dom2 %{_javadir}/jaxp11.jar
  %{_sbindir}/update-alternatives --remove dom %{_javadir}/jaxp11.jar
  %{_sbindir}/update-alternatives --remove sax2 %{_javadir}/jaxp11.jar
  %{_sbindir}/update-alternatives --remove sax %{_javadir}/jaxp11.jar
  %{_sbindir}/update-alternatives --remove xslt %{_javadir}/jaxp11.jar
  rm -f %{_javadir}/jaxp11.jar
fi
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post jaxp-1.1-apis-javadoc
rm -f %{_javadocdir}/%{name}-jaxp-1.1-apis
ln -s %{name}-jaxp-1.1-apis-%{namedversion} %{_javadocdir}/%{name}-jaxp-1.1-apis
%{_sbindir}/update-alternatives --install %{_javadocdir}/xml-commons-apis xml-commons-apis-javadoc %{_javadocdir}/%{name}-jaxp-1.1-apis/ 10100

%postun jaxp-1.1-apis-javadoc
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-commons-apis-javadoc %{_javadocdir}/%{name}-jaxp-1.1-apis/
  rm -f %{_javadocdir}/%{name}-jaxp-1.1-apis
fi

%post which10
%{_sbindir}/update-alternatives --install %{_bindir}/xml-which xml-which %{_bindir}/xml-which10 10000
%{_sbindir}/update-alternatives --install %{_javadir}/xml-commons-which.jar xml-commons-which %{_javadir}/xml-commons-which10.jar 10000

%postun which10
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-which %{_bindir}/xml-which10
  %{_sbindir}/update-alternatives --remove xml-commons-which %{_javadir}/xml-commons-which10.jar
fi

%post which10-javadoc
rm -f %{_javadocdir}/%{name}-which10
ln -s %{name}-which10-%{namedversion} %{_javadocdir}/%{name}-which10

%postun which10-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-which10
fi

%post resolver10
%{_sbindir}/update-alternatives --install %{_bindir}/xml-resolver xml-resolver %{_bindir}/xml-resolver10 10000 \
--slave  %{_javadir}/xml-commons-resolver.jar xml-commons-resolver %{_javadir}/xml-commons-resolver10.jar \
--slave  %{_bindir}/xml-xread xml-xread %{_bindir}/xml-xread10 \
--slave  %{_bindir}/xml-xparse xml-xparse %{_bindir}/xml-xparse10 \
--slave  %{_mandir}/man1/xml-resolver.1%{_extension} xml-resolver.1%{_extension} %{_mandir}/man1/xml-resolver10.1%{_extension} \
--slave  %{_mandir}/man1/xml-xread.1%{_extension} xml-xread.1%{_extension} %{_mandir}/man1/xml-xread10.1%{_extension} \
--slave  %{_mandir}/man1/xml-xparse.1%{_extension} xml-xparse.1%{_extension} %{_mandir}/man1/xml-xparse10.1%{_extension} 
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun resolver10
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-resolver %{_bindir}/xml-resolver10
fi
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post resolver10-javadoc
rm -f %{_javadocdir}/%{name}-resolver10
ln -s %{name}-resolver10-%{namedversion} %{_javadocdir}/%{name}-resolver10

%postun resolver10-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-resolver10
fi

#%post resolver11
#%{_sbindir}/update-alternatives --install %{_bindir}/xml-resolver xml-resolver %{_bindir}/xml-resolver11 10100 \
#--slave  %{_javadir}/xml-commons-resolver.jar xml-commons-resolver %{_javadir}/xml-commons-resolver11.jar \
#--slave  %{_bindir}/xml-xread xml-xread %{_bindir}/xml-xread11 \
#--slave  %{_bindir}/xml-xparse xml-xparse %{_bindir}/xml-xparse11 \
#--slave  %{_mandir}/man1/xml-resolver.1%{_extension} xml-resolver.1%{_extension} %{_mandir}/man1/xml-resolver11.1%{_extension} \
#--slave  %{_mandir}/man1/xml-xread.1%{_extension} xml-xread.1%{_extension} %{_mandir}/man1/xml-xread11.1%{_extension} \
#--slave  %{_mandir}/man1/xml-xparse.1%{_extension} xml-xparse.1%{_extension} %{_mandir}/man1/xml-xparse11.1%{_extension} 
#%if %{gcj_support}
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif

#%postun resolver11
#if [ "$1" = "0" ]; then
#  %{_sbindir}/update-alternatives --remove xml-resolver %{_bindir}/xml-resolver11
#fi
#%if %{gcj_support}
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif

%post resolver11-javadoc
rm -f %{_javadocdir}/%{name}-resolver11
ln -s %{name}-resolver11-%{namedversion} %{_javadocdir}/%{name}-resolver11

%postun resolver11-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-resolver11
fi

%post jaxp-1.2-apis
rm -f %{_javadir}/xml-commons-apis.jar
rm -f %{_javadir}/jaxp12.jar
ln -s %{name}-jaxp-1.2-apis.jar %{_javadir}/jaxp12.jar
%{_sbindir}/update-alternatives --install %{_javadir}/xml-commons-apis.jar xml-commons-apis %{_javadir}/jaxp12.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp.jar jaxp %{_javadir}/jaxp12.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/dom2.jar dom2 %{_javadir}/jaxp12.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/dom.jar dom %{_javadir}/jaxp12.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/sax2.jar sax2 %{_javadir}/jaxp12.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/sax.jar sax %{_javadir}/jaxp12.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/xslt.jar xslt %{_javadir}/jaxp12.jar 10200
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun jaxp-1.2-apis
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-commons-apis %{_javadir}/jaxp12.jar
  %{_sbindir}/update-alternatives --remove jaxp %{_javadir}/jaxp12.jar
  %{_sbindir}/update-alternatives --remove dom2 %{_javadir}/jaxp12.jar
  %{_sbindir}/update-alternatives --remove dom %{_javadir}/jaxp12.jar
  %{_sbindir}/update-alternatives --remove sax2 %{_javadir}/jaxp12.jar
  %{_sbindir}/update-alternatives --remove sax %{_javadir}/jaxp12.jar
  %{_sbindir}/update-alternatives --remove xslt %{_javadir}/jaxp12.jar
  rm -f %{_javadir}/jaxp12.jar
fi
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post jaxp-1.2-apis-javadoc
rm -f %{_javadocdir}/%{name}-jaxp-1.2-apis
ln -s %{name}-jaxp-1.2-apis-%{namedversion} %{_javadocdir}/%{name}-jaxp-1.2-apis
%{_sbindir}/update-alternatives --install %{_javadocdir}/xml-commons-apis xml-commons-apis-javadoc %{_javadocdir}/%{name}-jaxp-1.2-apis/ 10200

%postun jaxp-1.2-apis-javadoc
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-commons-apis-javadoc %{_javadocdir}/%{name}-jaxp-1.2-apis/
  rm -f %{_javadocdir}/%{name}-jaxp-1.2-apis
fi

%post jaxp-1.3-apis
rm -f %{_javadir}/xml-commons-apis.jar
rm -f %{_javadir}/jaxp13.jar
ln -s %{name}-jaxp-1.3-apis.jar %{_javadir}/jaxp13.jar
%{_sbindir}/update-alternatives --install %{_javadir}/xml-commons-apis.jar xml-commons-apis %{_javadir}/jaxp13.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp.jar jaxp %{_javadir}/jaxp13.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/dom.jar dom %{_javadir}/jaxp13.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/sax2.jar sax2 %{_javadir}/jaxp13.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/sax.jar sax %{_javadir}/jaxp13.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/xslt.jar xslt %{_javadir}/jaxp13.jar 10300
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun jaxp-1.3-apis
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-commons-apis %{_javadir}/jaxp13.jar
  %{_sbindir}/update-alternatives --remove jaxp %{_javadir}/jaxp13.jar
  %{_sbindir}/update-alternatives --remove dom %{_javadir}/jaxp13.jar
  %{_sbindir}/update-alternatives --remove sax2 %{_javadir}/jaxp13.jar
  %{_sbindir}/update-alternatives --remove sax %{_javadir}/jaxp13.jar
  %{_sbindir}/update-alternatives --remove xslt %{_javadir}/jaxp13.jar
  rm -f %{_javadir}/jaxp13.jar
fi
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post jaxp-1.3-apis-javadoc
rm -f %{_javadocdir}/%{name}-jaxp-1.3-apis
ln -s %{name}-jaxp-1.3-apis-%{namedversion} %{_javadocdir}/%{name}-jaxp-1.3-apis
%{_sbindir}/update-alternatives --install %{_javadocdir}/xml-commons-apis xml-commons-apis-javadoc %{_javadocdir}/%{name}-jaxp-1.3-apis/ 10300

%postun jaxp-1.3-apis-javadoc
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-commons-apis-javadoc %{_javadocdir}/%{name}-jaxp-1.3-apis/
  rm -f %{_javadocdir}/%{name}-jaxp-1.3-apis
fi

%post which11
%{_sbindir}/update-alternatives --install %{_bindir}/xml-which xml-which %{_bindir}/xml-which11 10100
%{_sbindir}/update-alternatives --install %{_javadir}/xml-commons-which.jar xml-commons-which %{_javadir}/xml-commons-which11.jar 10100

%postun which11
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove xml-which %{_bindir}/xml-which11
  %{_sbindir}/update-alternatives --remove xml-commons-which %{_javadir}/xml-commons-which11.jar
fi

#%post resolver12
#%{_sbindir}/update-alternatives --install %{_bindir}/xml-resolver xml-resolver %{_bindir}/xml-resolver12 10200 \
#--slave  %{_javadir}/xml-commons-resolver.jar xml-commons-resolver %{_javadir}/xml-commons-resolver12.jar \
#--slave  %{_bindir}/xml-xread xml-xread %{_bindir}/xml-xread12 \
#--slave  %{_bindir}/xml-xparse xml-xparse %{_bindir}/xml-xparse12 \
#--slave  %{_mandir}/man1/xml-resolver.1%{_extension} xml-resolver.1%{_extension} %{_mandir}/man1/xml-resolver12.1%{_extension} \
#--slave  %{_mandir}/man1/xml-xread.1%{_extension} xml-xread.1%{_extension} %{_mandir}/man1/xml-xread12.1%{_extension} \
#--slave  %{_mandir}/man1/xml-xparse.1%{_extension} xml-xparse.1%{_extension} %{_mandir}/man1/xml-xparse12.1%{_extension} 
#%if %{gcj_support}
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif

#%postun resolver12
#if [ "$1" = "0" ]; then
#  %{_sbindir}/update-alternatives --remove xml-resolver %{_bindir}/xml-resolver12
#fi
#%if %{gcj_support}
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif

# -----------------------------------------------------------------------------

%files 
%defattr(0644,root,root,0755)
%doc xml-commons-external-1_3_*/*.txt
%config(noreplace) %{resolverdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%endif
%{_mavendepmapfragdir}/%{name}

%files jaxp-1.1-apis
%defattr(0644,root,root,0755)
# FIXME:
# xml-commons-jaxp-1.1-apis.noarch: W: file-not-utf8 /usr/share/xml-commons-jaxp-1.1-apis-1.3.03/LICENSE.dom-software.txt
# xml-commons-jaxp-1.1-apis.noarch: W: file-not-utf8 /usr/share/xml-commons-jaxp-1.1-apis-1.3.03/LICENSE.dom-documentation.txt
%doc %{_datadir}/%{name}-jaxp-1.1-apis-%{namedversion}
%{_javadir}*/%{name}-jaxp-1.1-apis*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-jaxp-1.1-apis*.jar.*
%endif
%ghost %{_javadir}/xml-commons-apis.jar
%ghost %{_javadir}/jaxp11.jar
%ghost %{_javadir}/jaxp.jar
%ghost %{_javadir}/dom2.jar
%ghost %{_javadir}/dom.jar
%ghost %{_javadir}/sax2.jar
%ghost %{_javadir}/sax.jar

%files jaxp-1.1-apis-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-jaxp-1.1-apis-%{namedversion}
%ghost %{_javadocdir}/%{name}-jaxp-1.1-apis
%ghost %{_javadocdir}/%{name}-apis

%files jaxp-1.1-apis-manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-jaxp-1.1-apis-%{namedversion}

%files which10
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-which10*.jar
%ghost %{_javadir}/xml-commons-which.jar
%attr(0755,root,root) %{_bindir}/xml-which10
%attr(0755,root,root) %ghost %{_bindir}/xml-which

%files which10-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-which10-%{namedversion}
%ghost %{_javadocdir}/%{name}-which10

%files resolver10
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-resolver10*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-resolver10*.jar.*
%endif
#%ghost %{_javadir}/xml-commons-resolver.jar
%attr(0755,root,root) %{_bindir}/xml-resolver10
%attr(0755,root,root) %{_bindir}/xml-xread10
%attr(0755,root,root) %{_bindir}/xml-xparse10
%{_mandir}/man1/xml-resolver10.1%{_extension}
%{_mandir}/man1/xml-xread10.1%{_extension}
%{_mandir}/man1/xml-xparse10.1%{_extension}
#%attr(0755,root,root) %ghost %{_bindir}/xml-resolver
#%attr(0755,root,root) %ghost %{_bindir}/xml-xread
#%attr(0755,root,root) %ghost %{_bindir}/xml-xparse

%files resolver10-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-resolver10-%{namedversion}
%ghost %{_javadocdir}/%{name}-resolver10

%files resolver11
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-resolver11*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-resolver11*.jar.*
%endif
#%ghost %{_javadir}/xml-commons-resolver.jar
%attr(0755,root,root) %{_bindir}/xml-resolver11
%attr(0755,root,root) %{_bindir}/xml-xread11
%attr(0755,root,root) %{_bindir}/xml-xparse11
%{_mandir}/man1/xml-resolver11.1%{_extension}
%{_mandir}/man1/xml-xread11.1%{_extension}
%{_mandir}/man1/xml-xparse11.1%{_extension}
#%attr(0755,root,root) %ghost %{_bindir}/xml-resolver
#%attr(0755,root,root) %ghost %{_bindir}/xml-xread
#%attr(0755,root,root) %ghost %{_bindir}/xml-xparse

%files resolver11-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-resolver11-%{namedversion}
%ghost %{_javadocdir}/%{name}-resolver11

%files jaxp-1.2-apis
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-jaxp-1.2-apis*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-jaxp-1.2-apis*.jar.*
%endif
%doc %{_datadir}/%{name}-jaxp-1.2-apis-%{namedversion}
%ghost %{_javadir}/xml-commons-apis.jar
%ghost %{_javadir}/jaxp12.jar
%ghost %{_javadir}/jaxp.jar
%ghost %{_javadir}/dom2.jar
%ghost %{_javadir}/dom.jar
%ghost %{_javadir}/sax2.jar
%ghost %{_javadir}/sax.jar

%files jaxp-1.2-apis-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-jaxp-1.2-apis-%{namedversion}
%ghost %{_javadocdir}/%{name}-jaxp-1.2-apis
%ghost %{_javadocdir}/%{name}-apis

%files jaxp-1.2-apis-manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-jaxp-1.2-apis-%{namedversion}

%files jaxp-1.3-apis
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-jaxp-1.3-apis-%{namedversion}.jar
%{_javadir}/%{name}-jaxp-1.3-apis.jar
%{_javadir}/%{name}-jaxp-1.3-apis-ext-%{namedversion}.jar
%{_javadir}/%{name}-jaxp-1.3-apis-ext.jar
%{_datadir}/maven2/poms/JPP-%{name}-apis.pom
%{_datadir}/maven2/poms/JPP-%{name}-jaxp-1.3-apis.pom
%{_datadir}/maven2/poms/JPP-%{name}-jaxp-1.3-apis-ext.pom
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-jaxp-1.3-apis*.jar.*
%endif
%doc %{_datadir}/%{name}-jaxp-1.3-apis-%{namedversion}
%ghost %{_javadir}/xml-commons-apis.jar
%ghost %{_javadir}/jaxp13.jar
%ghost %{_javadir}/jaxp.jar
%ghost %{_javadir}/dom3.jar
%ghost %{_javadir}/dom.jar
%ghost %{_javadir}/sax2.jar
%ghost %{_javadir}/sax.jar

%files jaxp-1.3-apis-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-jaxp-1.3-apis-%{namedversion}
%ghost %{_javadocdir}/%{name}-jaxp-1.3-apis
%ghost %{_javadocdir}/%{name}-apis

%files jaxp-1.3-apis-manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-jaxp-1.3-apis-%{namedversion}

%files which11
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-which11*.jar
%ghost %{_javadir}/xml-commons-which.jar
%attr(0755,root,root) %{_bindir}/xml-which11
%attr(0755,root,root) %ghost %{_bindir}/xml-which

%files which11-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-which11-%{namedversion}
%ghost %{_javadocdir}/%{name}-which11

%files resolver12
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-resolver12-%{namedversion}.jar
%{_javadir}/%{name}-resolver12.jar
%{_datadir}/maven2/poms/JPP-%{name}-resolver12.pom
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-resolver12*.jar.*
%endif
#%ghost %{_javadir}/xml-commons-resolver.jar
%attr(0755,root,root) %{_bindir}/xml-resolver12
%attr(0755,root,root) %{_bindir}/xml-xread12
%attr(0755,root,root) %{_bindir}/xml-xparse12
%{_mandir}/man1/xml-resolver12.1%{_extension}
%{_mandir}/man1/xml-xread12.1%{_extension}
%{_mandir}/man1/xml-xparse12.1%{_extension}
#%attr(0755,root,root) %ghost %{_bindir}/xml-resolver
#%attr(0755,root,root) %ghost %{_bindir}/xml-xread
#%attr(0755,root,root) %ghost %{_bindir}/xml-xparse

%files resolver12-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-resolver12-%{namedversion}
%ghost %{_javadocdir}/%{name}-resolver12

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}/
%exclude %{_javadocdir}/
%{_javadir}/repository.jboss.com
%endif

# -----------------------------------------------------------------------------

%changelog
* Tue Sep 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.3.04-8.2_patch_01
- Add fix for JBPAPP-7800

* Mon Aug 23 2010 Permaine Cheung <pcheung@redhat.com> 0:1.3.04-7.10
- Remove Requires: ant for which 10, 11

* Fri Jul 30 2010 Martha Benitez <mbenitez@redhat.com> 0:1.3.04-7.9
- Remove %post sections for resolver 11 and 12

* Fri Jul 30 2010 Martha Benitez <mbenitez@redhat.com> 0:1.3.04-7.8
- Remove unversioned files from resolver packages

* Mon Jul 26 2010 Yong Yang <yyang@redhat.com> 0:1.3.04-7.7
- jaxp-1.2-apis obsoletes xml-commons-apis12 to avoid conflict 

* Fri Jul 23 2010 David Walluck <dwalluck@redhat.com> 0:1.3.04-7.6
- fix manpage alternatives

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.3.04-7.5.1
- rebuilt

* Tue Apr 6 2010 Hui Wang <huwang@redhat.com> 0:1.3.04-7.5
- Rebuild
* Wed Mar 10 2010 Permaine Cheung <pcheung@redhat.com> 0:1.3.04-7.4
- Add virtual provides for xml-commons-jaxp-apis to jaxp-1.3-apis

* Wed Jan 13 2010 David Walluck <dwalluck@redhat.com> 0:1.3.04-7.3
- fix macros

* Wed Jan 13 2010 David Walluck <dwalluck@redhat.com> 0:1.3.04-7.2
- add xml-resolver-1.2.pom

* Wed Jan 13 2010 David Walluck <dwalluck@redhat.com> 0:1.3.04-7.1
- fix bad depmaps
- fix repolib ownership

* Fri Oct 30 2009 David Walluck <dwalluck@redhat.com> 0:1.3.04-7
- add symlink to override default pom
- fix bad macro

* Fri Oct 30 2009 David Walluck <dwalluck@redhat.com> 0:1.3.04-6
- add xml-apis and xml-apis-ext poms (resolver poms forthcoming)

* Fri Feb 20 2009 David Walluck <dwalluck@redhat.com> 0:1.3.04-5
- fix some Requires that should have been versioned
- update some Provides to also include the release tag

* Sun Aug 10 2008 David Walluck <dwalluck@redhat.com> 0:1.3.04-2
- fix broken symlink xml-commons-resolver-12-1.3.03 (bug #284)

* Thu Jul 31 2008 David Walluck <dwalluck@redhat.com> 0:1.3.04-1.jpp5
- 1.3.04
- fix xml-apis.jar 1.3 in repolib
- fix resolver.jar 1.1 in repolib

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:1.3.03-14.jpp5
- remove Vendor and Distribution tags

* Wed May 14 2008 David Walluck <dwalluck@redhat.com> 0:1.3.03-13jpp
- add component-info.xml
- preserve timestamps on repolib copy

* Fri Apr 25 2008 Permaine Cheung <pcheung@redhat.com> 0:1.3.03-12jpp
- Add repolib option

* Wed Aug 08 2007 Matt Wringe <mwringe@redhat.com> 0:1.3.03-11jpp
- Add another version to the list of xml-commons-apis obsoletes
- Add obsoletes to the other apis subpackages and not just 1.3
- Add obsoletes on xml-commons-resolver to the xml-commons-resolver1X packages 

* Fri May 11 2007 Jason Corley <jason.corley@gmail.com> 0:1.3.03-10jpp
- rebuild through mock and centos 4
- replace vendor and distribution with macros

* Fri May 04 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.3.03-9jpp
- Explicitly obsolete only our own old xml-commons-apis packages
- (see Bug 266)

* Thu Apr 05 2007 Matt Wringe <mwringe@redhat.com> - 0:1.3.03-8jpp
- Fix epocj typo

* Wed Feb 07 2007 Matt Wringe <mwringe@redhat.com> - 0:1.3.03-7jpp
- Remove unnecessary build requires for xalan-j2 and docbook-style-xsl
- Add conditional gcj support
- Clean up some simple rpmlint issues
- Disable xml-commons-crosslink patch when using gcj as this prevents
  offline building

* Thu Jan 25 2007 Matt Wringe <mwringe@redhat.com> - 0:1.3.03-6jpp
- Properly version the virtual provides

* Thu Apr 20 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.3.03-5jpp
- Fix which 1.0 alternative priority

* Mon Apr 03 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.3.03-4jpp
- Fix missing defattr

* Fri Mar 31 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.3.03-3jpp
- Add -resolver11 subpackage for XmlResolver-1.1.b1

* Thu Mar 30 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.3.03-2jpp
- Provide and create alternative for xml-commons-apis-javadoc
- Fix jaxp-1.X-apis-javadoc contents
- Fix jaxp-1.X-apis-manual contents

* Mon Mar 27 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.3.03-1jpp
- Provide JAXP 1.1, 1.2, 1.3 apis, as well as legacy and current
  XmlWhich and XmlResolver

* Wed Oct 19 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.3.02-2jpp
- Don't obsolete xerces-j2-dom3

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.3.02-1jpp
- Replace external with 1.3.02, keep old which
- Create ghost symlinks for javadocs

* Thu Aug 26 2003 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.7jpp
- Build with ant-1.6.2

* Mon May  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.b2.6jpp
- Fix non-versioned javadoc symlinking.

* Mon Apr 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.b2.5jpp
- Fix xml-which script.
- Include non-versioned javadoc symlinks.
- Add Epoch: 0.
- Fix jpackage-utils dependency versions.

* Thu Mar 13 2003 Nicolas Mailhot <Nicolas.Mailhot at jpackage.org> - 1.0-0.b2.4jpp
- For jpackage-utils 1.5

* Wed Nov 13 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0-0.b2.3jpp
- Following upstream changes, resolver is now built from its own package.

* Sun Nov  3 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.b2.2jpp
- Split resolver into its own subpackage.
- Fix Group, Vendor and Distribution tags.
- Use sed instead of bash 2 extension when symlinking jars.
- Add resolver and which shell scripts.

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-0.b2.1jpp
- 1.0.b2
- get tarball from xml.apache.org
- add macro section

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b1.1jpp
- first jpp release
